## gpredict 0.8.0

=== win32/Makefile ===
# Makefile for cross-compiling gpredict for win32 on Linux,
# using mingw compiler

include config.mk

# directories
topsrc = ..
gcincdir = $(topsrc)/goocanv4
gcsrcdir = $(topsrc)/goocanv4/src
gpreddir = $(topsrc)/src
sgpsdpdir = $(gpreddir)/sgpsdp

# tools
CC = $(MGW_PREFIX)gcc -Wall -O2 -mms-bitfields -DWIN32
AS = $(MGW_PREFIX)as
DLLWRAP = $(MGW_PREFIX)dllwrap
DLLWRAP_FLAGS = --as=$(AS) --export-all --driver-name $(CC) -s
RC = $(MGW_PREFIX)windres
RCFLAGS = --define __WIN32__ --define __WIN95__ --define MSRC \
	--define __GNUWIN32__

# libraries
GTKLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs gtk+-win32-2.0)
GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs glib-2.0 gthread-2.0)
GUI_LIBS = $(GTKLIBS) $(GLIBLIB) libgoocanvas.lib libsgpsdp.lib -lcurl -lwinmm -lws2_32
LIBS = -lm


# flags/defines
CFLAGS = -DHAVE_CONFIG_H -DHAVE_LIBCURL -DPACKAGE_LOCALE_DIR=\"/\"  \
	 -I. -I$(gpreddir) -I$(gcincdir) -I$(gcsrcdir) -I$(CROSSDIR)/include
GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0)

# source paths
vpath %.c $(gcsrcdir)
vpath %.c $(sgpsdpdir)
vpath %.c $(gpreddir)
vpath %.h $(gpreddir)
vpath %.h $(sgpsdpdir)
vpath %.h $(gcsrcdir)
vpath %.rc $(topsrc)/win32

#### End of system configuration section. ####

SGPSDPSRC = \
	sgp4sdp4.c \
	sgp_in.c \
	sgp_math.c \
	sgp_obs.c \
	sgp_time.c \
	solar.c

SGPSDPOBJ = $(SGPSDPSRC:.c=.o)


GOOCANVSRC = \
        goocanvasatk.c             \
        goocanvasellipse.c         \
        goocanvasellipseview.c     \
        goocanvasgroup.c           \
        goocanvasgroupview.c       \
        goocanvasimage.c           \
        goocanvasimageview.c       \
        goocanvasitem.c            \
        goocanvasitemsimple.c      \
        goocanvasitemview.c        \
        goocanvasitemviewsimple.c  \
	goocanvasmarshal.c         \
        goocanvasmodel.c           \
        goocanvasmodelsimple.c     \
        goocanvaspolyline.c        \
        goocanvaspolylineview.c    \
        goocanvaspath.c            \
        goocanvaspathview.c        \
        goocanvasprivate.h         \
        goocanvasrect.c            \
        goocanvasrectview.c        \
        goocanvastext.c            \
        goocanvastextview.c        \
        goocanvasutils.c           \
        goocanvasview.c 

GOOCANVOBJ = $(GOOCANVSRC:.c=.o)


GPREDICTSRC = \
	about.c \
	compat.c \
	first-time.c \
	gpredict-help.c \
	gpredict-utils.c \
	gtk-azel-plot.c \
	gtk-polar-plot.c \
	gtk-polar-view.c \
	gtk-polar-view-popup.c \
	gtk-sat-data.c \
	gtk-sat-list.c \
	gtk-sat-list-col-sel.c \
	gtk-sat-map.c \
	gtk-sat-map-ground-track.c \
	gtk-sat-map-popup.c \
	gtk-sat-module.c \
	gtk-sat-module-popup.c \
	gtk-sat-module-tmg.c \
	gtk-sat-tree.c \
	gtk-single-sat.c \
	gtk-sky-glance.c \
	gui.c \
	locator.c \
	loc-tree.c \
	main.c \
	map-selector.c \
	menubar.c \
	mod-cfg.c \
	mod-cfg-get-param.c \
	mod-mgr.c \
	orbit-tools.c \
	pass-popup-menu.c \
	predict-tools.c \
	qth-editor.c \
	sat-cfg.c \
	sat-debugger.c \
	sat-log.c \
	sat-monitor.c \
	sat-pass-dialogs.c \
	sat-popup-menu.c \
	sat-pref.c \
	sat-pref-conditions.c \
	sat-pref-debug.c \
	sat-pref-formats.c \
	sat-pref-general.c \
	sat-pref-help.c \
	sat-pref-interfaces.c \
	sat-pref-layout.c \
	sat-pref-list-view.c \
	sat-pref-map-view.c \
	sat-pref-modules.c \
	sat-pref-multi-pass.c \
	sat-pref-polar-view.c \
	sat-pref-predict.c \
	sat-pref-qth.c \
	sat-pref-qth-editor.c \
	sat-pref-refresh.c \
	sat-pref-rig.c \
	sat-pref-rot.c \
	sat-pref-single-pass.c \
	sat-pref-single-sat.c \
	sat-pref-sky-at-glance.c \
	sat-pref-tle.c \
	sat-vis.c \
	time-tools.c \
	tle-lookup.c \
	tle-update.c \

GPREDICTOBJ = $(GPREDICTSRC:.c=.o)

OBJS = $(GOOCANVOBJ) $(SGPSDPOBJ) $(GPREDICTOBJ)

%.o: %.c
	$(CC) -c $(CFLAGS) $(GTK_CFLAGS) $<
	$(CC) -MM $(CFLAGS) $(GTK_CFLAGS) $< > $*.d 


# targets begin

all: libgoocanvas.dll libsgpsdp.dll gpredict.exe

gpredict.exe: $(OBJS) gpredict_res.o
	$(CC) -mconsole -o $@ $^ $(CFLAGS) $(GTK_CFLAGS) $(LIBS) $(GUI_LIBS) -lmingwex -s

gpredict_res.o: gpredict.rc 
	$(RC) $(RCFLAGS) $< $@

libgoocanvas.dll: $(GOOCANVOBJ)
	$(CC) -shared $(CFLAGS) $(GTK_CFLAGS) $(GOOCANVOBJ) $(GTKLIBS) -lm -lmingwex \
	-Wl,--enable-auto-image-base -Wl,--out-implib,libgoocanvas.lib -o libgoocanvas.dll

libsgpsdp.dll:  $(SGPSDPOBJ)
	$(CC) -shared $(CFLAGS) $(GTK_CFLAGS) $(SGPSDPOBJ) $(GLIBLIB) -lm -lmingwex \
	-Wl,--enable-auto-image-base -Wl,--out-implib,libsgpsdp.lib -o libsgpsdp.dll

clean:
	rm -f *.o *.d *.def *.a *.lib *.dll *.exe

## gpredict 0.9.0

=== win32/Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # directories
 topsrc = ..
-gcincdir = $(topsrc)/goocanv4
-gcsrcdir = $(topsrc)/goocanv4/src
+gcincdir = $(topsrc)/goocanv8
+gcsrcdir = $(topsrc)/goocanv8/src
 gpreddir = $(topsrc)/src
 sgpsdpdir = $(gpreddir)/sgpsdp
 
@@ -28,7 +28,7 @@
 
 # flags/defines
 CFLAGS = -DHAVE_CONFIG_H -DHAVE_LIBCURL -DPACKAGE_LOCALE_DIR=\"/\"  \
-	 -I. -I$(gpreddir) -I$(gcincdir) -I$(gcsrcdir) -I$(CROSSDIR)/include
+	 -I. -I.. -I$(gpreddir) -I$(gcincdir) -I$(gcsrcdir) -I$(CROSSDIR)/include
 GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0)
 
 # source paths
@@ -56,29 +56,24 @@
 GOOCANVSRC = \
         goocanvasatk.c             \
         goocanvasellipse.c         \
-        goocanvasellipseview.c     \
-        goocanvasgroup.c           \
-        goocanvasgroupview.c       \
-        goocanvasimage.c           \
-        goocanvasimageview.c       \
-        goocanvasitem.c            \
-        goocanvasitemsimple.c      \
-        goocanvasitemview.c        \
-        goocanvasitemviewsimple.c  \
-	goocanvasmarshal.c         \
-        goocanvasmodel.c           \
-        goocanvasmodelsimple.c     \
-        goocanvaspolyline.c        \
-        goocanvaspolylineview.c    \
-        goocanvaspath.c            \
-        goocanvaspathview.c        \
-        goocanvasprivate.h         \
-        goocanvasrect.c            \
-        goocanvasrectview.c        \
-        goocanvastext.c            \
-        goocanvastextview.c        \
-        goocanvasutils.c           \
-        goocanvasview.c 
+	goocanvasenumtypes.c		\
+	goocanvasgroup.c		\
+	goocanvasimage.c		\
+	goocanvasitem.c			\
+	goocanvasitemmodel.c		\
+	goocanvasitemsimple.c		\
+	goocanvasmarshal.c		\
+	goocanvaspolyline.c		\
+	goocanvaspath.c			\
+	goocanvasprivate.h		\
+	goocanvasrect.c			\
+	goocanvasstyle.c		\
+	goocanvastable.c		\
+	goocanvastext.c			\
+	goocanvasutils.c		\
+	goocanvaswidget.c		\
+	goocanvas.c 
+
 
 GOOCANVOBJ = $(GOOCANVSRC:.c=.o)
 
@@ -88,6 +83,7 @@
 	compat.c \
 	first-time.c \
 	gpredict-help.c \
+	gpredict-url-hook.c \
 	gpredict-utils.c \
 	gtk-azel-plot.c \
 	gtk-polar-plot.c \
@@ -116,11 +112,13 @@
 	mod-mgr.c \
 	orbit-tools.c \
 	pass-popup-menu.c \
+	pass-to-txt.c \
 	predict-tools.c \
 	qth-editor.c \
 	sat-cfg.c \
 	sat-debugger.c \
 	sat-log.c \
+	sat-log-browser.c \
 	sat-monitor.c \
 	sat-pass-dialogs.c \
 	sat-popup-menu.c \
@@ -148,6 +146,7 @@
 	sat-pref-sky-at-glance.c \
 	sat-pref-tle.c \
 	sat-vis.c \
+	save-pass.c \
 	time-tools.c \
 	tle-lookup.c \
 	tle-update.c \
@@ -165,6 +164,9 @@
 
 all: libgoocanvas.dll libsgpsdp.dll gpredict.exe
 
+
+# Use -mconsole to always open a console window when gpredicxt is started
+# Use -mwindows for no copnsole
 gpredict.exe: $(OBJS) gpredict_res.o
 	$(CC) -mconsole -o $@ $^ $(CFLAGS) $(GTK_CFLAGS) $(LIBS) $(GUI_LIBS) -lmingwex -s

## gpredict 1.1

=== win32/Makefile ===
--- 
+++ 
@@ -86,9 +86,12 @@
 	gpredict-url-hook.c \
 	gpredict-utils.c \
 	gtk-azel-plot.c \
+	gtk-freq-knob.c \
 	gtk-polar-plot.c \
 	gtk-polar-view.c \
 	gtk-polar-view-popup.c \
+	gtk-rot-ctrl.c \
+	gtk-rot-knob.c \
 	gtk-sat-data.c \
 	gtk-sat-list.c \
 	gtk-sat-list-col-sel.c \
@@ -115,6 +118,10 @@
 	pass-to-txt.c \
 	predict-tools.c \
 	qth-editor.c \
+	radio-conf.c \
+	rig-io.c \
+	rotor-conf.c \
+	rdv.c \
 	sat-cfg.c \
 	sat-debugger.c \
 	sat-log.c \
@@ -140,7 +147,9 @@
 	sat-pref-qth-editor.c \
 	sat-pref-refresh.c \
 	sat-pref-rig.c \
+	sat-pref-rig-editor.c \
 	sat-pref-rot.c \
+	sat-pref-rot-editor.c \
 	sat-pref-single-pass.c \
 	sat-pref-single-sat.c \
 	sat-pref-sky-at-glance.c \
@@ -149,6 +158,7 @@
 	save-pass.c \
 	time-tools.c \
 	tle-lookup.c \
+	tle-tools.c \
 	tle-update.c \
 
 GPREDICTOBJ = $(GPREDICTSRC:.c=.o)

## gpredict 1.1-7

=== debian/changelog ===
gpredict (1.1-7) unstable; urgency=low

  * Fix "Menu item Help -> License doesn't do anything; missing COPYING
    file" Added dh_link to rules from GPL2 COPYING file as suggested
    by Kamal Mostafa. (Closes: #578585)

 -- Fernando M. Maresca <fmaresca@gmail.com>  Sun, 16 May 2010 09:31:11 -0300

gpredict (1.1-6) unstable; urgency=low

  * Fix "Fix desktop-file-validate warnings in the .desktop file"
    Removed Encoding: line, removed Application from Categories, removed the
    .png extension from Icon in the debian/gpredict.desktop (Closes: #572722)

 -- Fernando M. Maresca <fmaresca@gmail.com>  Tue, 13 Apr 2010 14:20:11 -0300

gpredict (1.1-5) unstable; urgency=low

  * Change debian/control Standards-Version from 3.8.3 to 3.8.4.
  * Add missing dependencies on ${misc:Depends}

 -- Fernando M. Maresca <fmaresca@gmail.com>  Sun, 31 Jan 2010 15:35:33 -0300

gpredict (1.1-4) unstable; urgency=low

  * Fix "Incorrect KDE menu entry showing up in Lost and Found [nb]"
    debian/gpredict.desktop modified as proposed by Petter Reinholdtsen
    so gpredict show up in several places in the menu, making it easier to
    find. (Closes: #489247)

 -- Fernando M. Maresca <fmaresca@gmail.com>  Sun, 31 Jan 2010 12:54:12 -0300

gpredict (1.1-3) unstable; urgency=low

  * Change debian/compat from 4 to 7.
  * Change debian/control Standards-Version from 3.8.0 to 3.8.3.

 -- Fernando M. Maresca <fmaresca@gmail.com>  Sun, 06 Dec 2009 18:32:53 -0300

gpredict (1.1-2) unstable; urgency=low

  * Changes buiil-dependecies to add intltool > 2.1 (closes: #555953)

 -- Fernando M. Maresca <fmaresca@gmail.com>  Fri, 13 Nov 2009 11:11:16 -0300

gpredict (1.1-1) unstable; urgency=low

  [ Fernando M. Maresca ]
  * Fix "new upstream version 1.1 available" (Closes: #550081)
    * Fixes typos (closes: #455578, #520203)

  [ Hamish Moffatt ]
  * Change maintainer to debian-hams

 -- Hamish Moffatt <hamish@debian.org>  Thu, 12 Nov 2009 17:21:53 +1100

gpredict (0.8.0-2) unstable; urgency=low

  * Fix FTBFS with GTK 2.12.0 by disabling GTK_DISABLE_DEPRECATED
    for now (closes: #444514)
  * Change desktop file: remove Education as a category as it's not
    appropriate for this package.

 -- Hamish Moffatt <hamish@debian.org>  Sun, 30 Sep 2007 01:11:58 +1000

gpredict (0.8.0-1) unstable; urgency=low

  * New upstream release
    * Fixes conflict between gpredict and libgoocanvas-common (closes:
      #423144)
  * Updated desktop and menu files for latest section policies 

 -- Hamish Moffatt <hamish@debian.org>  Thu, 13 Sep 2007 00:14:34 +1000

gpredict (0.6.1-1) unstable; urgency=low

  * New upstream release, now for GTK+ 2.
  * Changed build-dependencies to remove GNOME 1 and GTK 1.2 libraries.
  * Fixed spelling error in description (closes: #363621)

 -- Hamish Moffatt <hamish@debian.org>  Tue, 12 Sep 2006 22:43:33 +1000

gpredict (0.5.3-2) unstable; urgency=low

  * Fixed category in .desktop ("Ham Radio" -> "HamRadio")
  * Fixed creation of empty old directory /usr/lib/menu
  * Updated to standards-revision 3.7.2

 -- Hamish Moffatt <hamish@debian.org>  Sun,  2 Jul 2006 01:19:45 +1000

gpredict (0.5.3-1) unstable; urgency=low

  * New upstream release
  * Build-depend on libhamlib-dev (new) | hamlib4-dev (old)
  * Update to standards-revision 3.6.2
  * Add watch file

 -- Hamish Moffatt <hamish@debian.org>  Fri, 21 Apr 2006 22:38:21 +1000

gpredict (0.5.1-2) unstable; urgency=low

  * Rebuild against latest GNOME 1 libraries (linked against libpng12)
    Thanks to Thomas Bushnell for taking over these libraries.

 -- Hamish Moffatt <hamish@debian.org>  Sat,  8 Oct 2005 14:39:35 +1000

gpredict (0.5.1-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Mon,  8 Aug 2005 00:16:39 +1000

gpredict (0.4.0-7) unstable; urgency=low

  * Rebuild with hamlib3 1.2.4 (updated build-deps)
  * Updated to Standards-Revision 3.6.1

 -- Hamish Moffatt <hamish@debian.org>  Sun, 10 Apr 2005 13:49:19 +0000

gpredict (0.4.0-6) unstable; urgency=low

  * Rebuild with hamlib3
  * Fix problems compiling with gcc 3.4 (closes: #258748)
    (thanks to Andrea Jochens for the patch)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 12 Dec 2004 23:28:06 +1100

gpredict (0.4.0-5) unstable; urgency=low

  * NMU to rebuild with latest hamlib. Closes: #276523.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 19 Oct 2004 11:23:51 +0200

gpredict (0.4.0-4) unstable; urgency=low

  * Rebuild with latest hamlib (closes: #238009)

 -- Hamish Moffatt <hamish@debian.org>  Wed, 17 Mar 2004 00:15:47 +1100

gpredict (0.4.0-3) unstable; urgency=low

  * Rebuild with latest hamlib to get proper dependencies
    (closes: #194603)

 -- Hamish Moffatt <hamish@debian.org>  Tue, 27 May 2003 09:10:16 +1000

gpredict (0.4.0-2) unstable; urgency=low

  * Recompile with hamlib 1.1.4 support

 -- Hamish Moffatt <hamish@debian.org>  Sat, 10 May 2003 10:16:17 +1000

gpredict (0.4.0-1) unstable; urgency=low

  * First release

 -- Hamish Moffatt <hamish@debian.org>  Tue, 29 Apr 2003 23:55:34 +1000

=== debian/control ===
Source: gpredict
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Hamish Moffatt <hamish@debian.org>, Fernando M. Maresca <fmaresca@gmail.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), libhamlib-dev | hamlib-dev (>= 1.2.4), libgtk2.0-dev, libglib2.0-dev, libxml-parser-perl, libcurl4-gnutls-dev | libcurl-dev, libgoocanvas-dev, intltool (>>0.21.0)

Package: gpredict
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Satellite tracking program
 Gpredict is a real time satellite tracking program for GNOME, based on
 the tracking engine of John Magliacane's excellent satellite tracker Predict.
 .
 Gpredict includes the following features:
 .
  * Tracking an infinite number of satellites only limited by the
    physical memory and processing power of the computer.
  * Display the tracking data in lists, maps, polar plots and any
    combination of these.
  * You can have many modules open at the same either in a
    notebook or in their own windows. The module can also run in
    full-screen mode.
  * You can use many ground stations. Ground station coordinates
    can either be entered manually or you can get some appriximate values
    from a list with more than 2000 predefined locations worldwide.
  * Predict upcoming passes for satellites, including passes where a 
    satellite may be visible and communication windows
  * Very detailed information about both the real time data and the
    predicted passes.
  * Gpredict can run in real-time, simulated real-time (fast forward and
    backward), and manual time control.
  * Doppler tuning of radios via Hamlib rigctld.
  * Antenna rotator control via Hamlib rotctld.

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir
	./configure --prefix=/usr --datarootdir=/usr/share

	$(MAKE)
	touch build

clean:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build intltool-merge intltool-extract intltool-update config.log
	dh_clean

binary-indep:	build
# nothing else to do

binary-arch:	build
	dh_clean
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/gpredict
	cp debian/gpredict.desktop debian/gpredict/usr/share/applications
	cp pixmaps/icons/gpredict-icon.png debian/gpredict/usr/share/pixmaps/gpredict.png
	rm debian/gpredict/usr/share/gpredict/COPYING

	dh_installdocs AUTHORS README
	dh_installmenu
	dh_installman debian/gpredict.man
	dh_installchangelogs ChangeLog
	dh_link usr/share/common-licenses/GPL-2 usr/share/gpredict/COPYING
	cp NEWS debian/gpredict/usr/share/doc/gpredict
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:		binary-indep binary-arch

checkroot:
	dh_testdir
	dh_testroot

.PHONY: binary binary-arch binary-indep clean checkroot

=== debian/watch ===
version=3
http://sf.net/groundstation/gpredict-(.*)\.tar\.gz

## gpredict 1.3

=== win32/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # directories
 topsrc = ..
-gcincdir = $(topsrc)/goocanv8
+gcincdir = c:/mingw/include/goocanvas-0.10/goocanvas/
 gcsrcdir = $(topsrc)/goocanv8/src
 gpreddir = $(topsrc)/src
 sgpsdpdir = $(gpreddir)/sgpsdp
@@ -22,7 +22,7 @@
 # libraries
 GTKLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs gtk+-win32-2.0)
 GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs glib-2.0 gthread-2.0)
-GUI_LIBS = $(GTKLIBS) $(GLIBLIB) libgoocanvas.lib libsgpsdp.lib -lcurl -lwinmm -lws2_32
+GUI_LIBS = $(GTKLIBS) $(GLIBLIB) -lgoocanvas libsgpsdp.lib -lcurldll -lwinmm -lws2_32
 LIBS = -lm
 
 
@@ -86,14 +86,18 @@
 	gpredict-url-hook.c \
 	gpredict-utils.c \
 	gtk-azel-plot.c \
+        gtk-event-list.c \
+        gtk-event-list-popup.c \
 	gtk-freq-knob.c \
 	gtk-polar-plot.c \
 	gtk-polar-view.c \
 	gtk-polar-view-popup.c \
+	gtk-rig-ctrl.c \
 	gtk-rot-ctrl.c \
 	gtk-rot-knob.c \
 	gtk-sat-data.c \
 	gtk-sat-list.c \
+	gtk-sat-list-popup.c \
 	gtk-sat-list-col-sel.c \
 	gtk-sat-map.c \
 	gtk-sat-map-ground-track.c \
@@ -101,7 +105,7 @@
 	gtk-sat-module.c \
 	gtk-sat-module-popup.c \
 	gtk-sat-module-tmg.c \
-	gtk-sat-tree.c \
+	gtk-sat-selector.c \
 	gtk-single-sat.c \
 	gtk-sky-glance.c \
 	gui.c \
@@ -117,18 +121,17 @@
 	pass-popup-menu.c \
 	pass-to-txt.c \
 	predict-tools.c \
+	qth-data.c \
 	qth-editor.c \
 	radio-conf.c \
-	rig-io.c \
 	rotor-conf.c \
-	rdv.c \
 	sat-cfg.c \
 	sat-debugger.c \
+	sat-info.c \
 	sat-log.c \
 	sat-log-browser.c \
 	sat-monitor.c \
 	sat-pass-dialogs.c \
-	sat-popup-menu.c \
 	sat-pref.c \
 	sat-pref-conditions.c \
 	sat-pref-debug.c \
@@ -157,13 +160,13 @@
 	sat-vis.c \
 	save-pass.c \
 	time-tools.c \
-	tle-lookup.c \
 	tle-tools.c \
 	tle-update.c \
+	trsp-conf.c \
 
 GPREDICTOBJ = $(GPREDICTSRC:.c=.o)
 
-OBJS = $(GOOCANVOBJ) $(SGPSDPOBJ) $(GPREDICTOBJ)
+OBJS = $(SGPSDPOBJ) $(GPREDICTOBJ)
 
 %.o: %.c
 	$(CC) -c $(CFLAGS) $(GTK_CFLAGS) $<
@@ -172,13 +175,13 @@
 
 # targets begin
 
-all: libgoocanvas.dll libsgpsdp.dll gpredict.exe
+all: libsgpsdp.dll gpredict.exe
 
 
 # Use -mconsole to always open a console window when gpredicxt is started
 # Use -mwindows for no copnsole
 gpredict.exe: $(OBJS) gpredict_res.o
-	$(CC) -mconsole -o $@ $^ $(CFLAGS) $(GTK_CFLAGS) $(LIBS) $(GUI_LIBS) -lmingwex -s
+	$(CC) -mconsole -mthread -o $@ $^ $(CFLAGS) $(GTK_CFLAGS) $(LIBS) $(GUI_LIBS) -lmingwex -s
 
 gpredict_res.o: gpredict.rc 
 	$(RC) $(RCFLAGS) $< $@

=== debian/changelog ===
gpredict (1.3-2ubuntu2) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 04 Feb 2014 20:14:41 -0500

gpredict (1.3-2ubuntu1) quantal; urgency=low

  * Merge from Debian testing. (LP: #859367) Remaining changes:
   - Apply patch from hamaa1vs to resolve the application becoming
     unresponsive when the day or time slider is adjusted.
  * Rename debian/patches/debian-changes-1.3-1ubuntu1 to
    debian/patches/lp-789691.patch and add DEP3 header. 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 22 May 2012 19:32:48 -0400

gpredict (1.3-2) unstable; urgency=low

  * Fix control file description text. (Closes: #644531)

 -- Fernando M. Maresca <fmaresca@gmail.com>  Sat, 08 Oct 2011 17:59:01 -0300

gpredict (1.3-1ubuntu1) oneiric; urgency=low

  * Apply patch from hamaa1vs to resolve the application becoming
    unresponsive when the day or time slider is adjusted.
    (LP: #789691)

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 19 Jul 2011 17:18:01 -0400

gpredict (1.3-1) unstable; urgency=low

  * New upstream release, includes da.po.
  * Fix debian/watch file (thanks Charles Suprin).

 -- Fernando M. Maresca <fmaresca@gmail.com>  Fri, 04 Mar 2011 17:38:21 -0300

gpredict (1.2-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * New upstream release (Closes: #614251)

 -- Fernando M. Maresca <fmaresca@gmail.com>  Mon, 21 Feb 2011 12:32:33 -0300

=== debian/control ===
Source: gpredict
Section: hamradio
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Hamish Moffatt <hamish@debian.org>, Fernando M. Maresca <fmaresca@gmail.com>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7), libhamlib-dev | hamlib-dev (>= 1.2.4), libgtk2.0-dev, libglib2.0-dev, libxml-parser-perl, libcurl4-gnutls-dev | libcurl-dev, libgoocanvas-dev, intltool (>>0.21.0), autotools-dev

Package: gpredict
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Satellite tracking program
 Gpredict is a real time satellite tracking program for GNOME, based on
 the tracking engine of John Magliacane's excellent satellite tracker Predict.
 .
 Gpredict includes the following features:
 .
  * Tracking an infinite number of satellites limited only by the
    physical memory and processing power of the computer.
  * Display the tracking data in lists, maps, polar plots or any
    combination of these.
  * You can have many modules open at the same time, either in a
    notebook or in their own windows. The module can also run in
    full-screen mode.
  * You can use many ground stations. Ground station coordinates
    can be entered manually or you can get some approximate values
    from a list with more than 2000 predefined locations worldwide.
  * Predict upcoming passes for satellites, including passes where a 
    satellite may be visible and communication windows open.
  * Very detailed information about both the real time data and the
    predicted passes.
  * Gpredict can run in real-time, simulated real-time (fast forward and
    backward), and manual time control.
  * Doppler tuning of radios via Hamlib rigctld.
  * Antenna rotator control via Hamlib rotctld.

=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,16 @@
 
 build:
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	./configure --prefix=/usr --datarootdir=/usr/share
 
 	$(MAKE)
 	touch build
-
 clean:
 	dh_testdir
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f build intltool-merge intltool-extract intltool-update config.log
+	dh_autotools-dev_restoreconfig
 	dh_clean
 
 binary-indep:	build

=== debian/watch ===
version=3
http://sf.net/gpredict/gpredict-(.+)\.tar\.gz

## gpredict 2.0

=== win32/Makefile ===
--- 
+++ 
@@ -5,13 +5,15 @@
 
 # directories
 topsrc = ..
-gcincdir = c:/mingw/include/goocanvas-0.10/goocanvas/
-gcsrcdir = $(topsrc)/goocanv8/src
+glibdir = c:/mingw/include/glib-2.0
+gcincdir = c:/mingw/include/goocanvas-1.0/
+gcsrcdir = $(topsrc)/goocanvas-0.15/src
+
 gpreddir = $(topsrc)/src
 sgpsdpdir = $(gpreddir)/sgpsdp
 
 # tools
-CC = $(MGW_PREFIX)gcc -Wall -O2 -mms-bitfields -DWIN32
+CC = $(MGW_PREFIX)gcc -Wall -O2 -mms-bitfields -DWIN32 -Wl,-subsystem,windows 
 AS = $(MGW_PREFIX)as
 DLLWRAP = $(MGW_PREFIX)dllwrap
 DLLWRAP_FLAGS = --as=$(AS) --export-all --driver-name $(CC) -s
@@ -25,10 +27,9 @@
 GUI_LIBS = $(GTKLIBS) $(GLIBLIB) -lgoocanvas libsgpsdp.lib -lcurldll -lwinmm -lws2_32
 LIBS = -lm
 
-
 # flags/defines
 CFLAGS = -DHAVE_CONFIG_H -DHAVE_LIBCURL -DPACKAGE_LOCALE_DIR=\"/\"  \
-	 -I. -I.. -I$(gpreddir) -I$(gcincdir) -I$(gcsrcdir) -I$(CROSSDIR)/include
+	 -I. -I.. -I$(glibdir) -I$(gpreddir) -I$(gcincdir) -I$(gcsrcdir) -I$(CROSSDIR)/include
 GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0)
 
 # source paths
@@ -105,6 +106,7 @@
 	gtk-sat-module.c \
 	gtk-sat-module-popup.c \
 	gtk-sat-module-tmg.c \
+    gtk-sat-popup-common.c \
 	gtk-sat-selector.c \
 	gtk-single-sat.c \
 	gtk-sky-glance.c \
@@ -113,6 +115,7 @@
 	loc-tree.c \
 	main.c \
 	map-selector.c \
+	map-tools.c \
 	menubar.c \
 	mod-cfg.c \
 	mod-cfg-get-param.c \
@@ -121,6 +124,7 @@
 	pass-popup-menu.c \
 	pass-to-txt.c \
 	predict-tools.c \
+	print-pass.c \
 	qth-data.c \
 	qth-editor.c \
 	radio-conf.c \
@@ -159,6 +163,7 @@
 	sat-pref-tle.c \
 	sat-vis.c \
 	save-pass.c \
+	strnatcmp.c \
 	time-tools.c \
 	tle-tools.c \
 	tle-update.c \
@@ -181,7 +186,7 @@
 # Use -mconsole to always open a console window when gpredicxt is started
 # Use -mwindows for no copnsole
 gpredict.exe: $(OBJS) gpredict_res.o
-	$(CC) -mconsole -mthread -o $@ $^ $(CFLAGS) $(GTK_CFLAGS) $(LIBS) $(GUI_LIBS) -lmingwex -s
+	$(CC) -mconsole -mthreads -o $@ $^ $(CFLAGS) $(GTK_CFLAGS) $(LIBS) $(GUI_LIBS) -lmingwex -s
 
 gpredict_res.o: gpredict.rc 
 	$(RC) $(RCFLAGS) $< $@

=== debian/changelog ===
gpredict (2.0-4) unstable; urgency=medium

  * Update to v2.1-123-gc6bc520

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 28 Dec 2017 09:01:00 -0500

gpredict (2.0-3) unstable; urgency=medium

  * Update to v2.0-12-g15f8992
  * Use Debian version in git-version-gen

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 12 Dec 2017 20:27:58 -0500

gpredict (2.0-2) unstable; urgency=medium

  * fix watch file
  * update to v2.0-4-gf4287dc using upstream git commits
  * Note more upstream changes here:
    New logo
    Initial port to Gtk+ 3
    Import transponder data from Satnogs database https://db.satnogs.org/
    Support for multiple TLE sources
    Improved radio and antenna rotator controllers (no application freeze)
    Map can be centered around arbitrary longitude
    Natural sort function for satellite list in module configuration
    Select a satellite in all views
    AOS and LOS signalling in rigctl interface
    Autotrack satellites in a module
    Support for user defined end stops on Azimuth axis
    Experimental gpsd support
    Change frequency and antenna position using the mouse wheel
    Highlight satellites within range in the list view
    Improved handling of decayed satellites
    Fixed application freezing while talking to radios and rotators
    Fixed incorrect program name in desktop files
    Fixed 100% CPU load on manual time adjustment
    Fixed issue controlling Yaesu FT-847
    Fixed old log files not being saved
    Fixed track button in rotator controller having no effect
    Fixed operational status of satellites
    Fixed wrong icon in time controller
    Fixed mising ground track for new satellites
    Fixed show next pass shows the current pass
    Fixed problems with plotting footprints near the poles
    Fixed satellite nickname not escaped for Pango
    Updated translations

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Dec 2017 10:54:40 -0500

gpredict (2.0-1) unstable; urgency=medium

  * New upstream release - GTK-3 (Closes: #785551)
  * Updated packaging: control, rules, watch
  * Update to standards-revision 4.1.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 09 Dec 2017 21:34:39 -0500

gpredict (1.3-3) unstable; urgency=medium

  * Update to standards-revision 3.9.6
  * Add Homepage to debian/control
  * fix FTBFS on new ports (Closes: #762483)

 -- Colin Tuckley <colint@debian.org>  Tue, 05 May 2015 16:54:50 +0100

=== debian/control ===
Source: gpredict
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>,
           Colin Tuckley <colint@debian.org>
Homepage: http://gpredict.oz9aec.net/
Standards-Version: 4.1.1
Build-Depends: autoconf,
               automake,
               debhelper (>= 10),
               intltool,
               libcurl4-gnutls-dev | libcurl-dev,
               libglib2.0-dev,
               libgoocanvas-2.0-dev,
               libgtk-3-dev,
               libtool,
               pkg-config

Package: gpredict
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gpsd, libhamlib-utils
Description: Satellite tracking program
 Gpredict is a real time satellite tracking and orbit prediction program
 for the Linux desktop. It uses the SGP4/SDP4 propagation algorithms together
 with NORAD two-line element sets (TLE).
 .
 Some core features of Gpredict include:
 .
  * Tracking of a large number of satellites only limited by the physical
    memory and processing power of the computer
  * Display the tracking data in lists, maps, polar plots and any combination
    of these
  * Have many modules open at the same either in a notebook or in their own
    windows. The modules can also run in full-screen mode
  * You can use many ground stations
  * Predict upcoming passes
  * Gpredict can run in real-time, simulated real-time (fast forward and
    backward), and manual time control
  * Detailed information both the real time and non-real time modes
  * Doppler tuning of radios via Hamlib rigctld
  * Antenna rotator control via Hamlib rotctld

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
 https://github.com/csete/gpredict/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## gpredict 2.3-33

=== win32/Makefile ===
--- 
+++ 
@@ -1,45 +1,53 @@
 # Makefile for cross-compiling gpredict for win32 on Linux,
 # using mingw compiler
 
+# configure pkg-config, version from git
 include config.mk
+
+# version string in C code
+VERSION_SHORT = $(GITMAJ).$(GITMIN).$(GITBLD)
+VERSION_LONG = $(GITMAJ).$(GITMIN).0.$(GITBLD)
+
+# cross-compiler prefix
+MGW_PREFIX=i686-w64-mingw32-
 
 # directories
 topsrc = ..
-glibdir = c:/mingw/include/glib-2.0
-gcincdir = c:/mingw/include/goocanvas-1.0/
-gcsrcdir = $(topsrc)/goocanvas-0.15/src
-
 gpreddir = $(topsrc)/src
 sgpsdpdir = $(gpreddir)/sgpsdp
+nxjsondir = $(gpreddir)/nxjson
 
 # tools
-CC = $(MGW_PREFIX)gcc -Wall -O2 -mms-bitfields -DWIN32 -Wl,-subsystem,windows 
+CC = $(MGW_PREFIX)gcc -Wall -O2 -mms-bitfields -DWIN32 -m32
 AS = $(MGW_PREFIX)as
 DLLWRAP = $(MGW_PREFIX)dllwrap
 DLLWRAP_FLAGS = --as=$(AS) --export-all --driver-name $(CC) -s
 RC = $(MGW_PREFIX)windres
-RCFLAGS = --define __WIN32__ --define __WIN95__ --define MSRC \
-	--define __GNUWIN32__
+# NB: .rc file create various version formats from the numbers
+RCFLAGS = --define __WIN32__ --define __WIN95__ --define MSRC --define __GNUWIN32__ \
+	--define VERMAJ=$(GITMAJ) --define VERMIN=$(GITMIN) --define VERBLD=$(GITBLD)
 
 # libraries
-GTKLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs gtk+-win32-2.0)
-GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs glib-2.0 gthread-2.0)
-GUI_LIBS = $(GTKLIBS) $(GLIBLIB) -lgoocanvas libsgpsdp.lib -lcurldll -lwinmm -lws2_32
+GTKLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --define-prefix --libs gtk+-3.0)
+GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --define-prefix --libs glib-2.0 gthread-2.0)
+GOOLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --define-prefix --libs goocanvas-2.0)
+GUI_LIBS = $(GTKLIBS) $(GLIBLIB) $(GOOLIBS) libsgpsdp.lib -lwinmm -lwininet -lws2_32
 LIBS = -lm
 
 # flags/defines
-CFLAGS = -DHAVE_CONFIG_H -DHAVE_LIBCURL -DPACKAGE_LOCALE_DIR=\"/\"  \
-	 -I. -I.. -I$(glibdir) -I$(gpreddir) -I$(gcincdir) -I$(gcsrcdir) -I$(CROSSDIR)/include
-GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0)
+GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --define-prefix --cflags gtk+-3.0)
+GOO_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --define-prefix --cflags goocanvas-2.0)
+CFLAGS = -DVERSION_SHORT=$(VERSION_SHORT) -DHAVE_CONFIG_H -DPACKAGE_LOCALE_DIR=\"/\" -I. -I.. -I$(gpreddir) $(GOO_CFLAGS)
 
 # source paths
-vpath %.c $(gcsrcdir)
 vpath %.c $(sgpsdpdir)
 vpath %.c $(gpreddir)
 vpath %.h $(gpreddir)
 vpath %.h $(sgpsdpdir)
-vpath %.h $(gcsrcdir)
+vpath %.c $(nxjsondir)
+vpath %.h $(nxjsondir)
 vpath %.rc $(topsrc)/win32
+vpath %.c .
 
 #### End of system configuration section. ####
 
@@ -53,6 +61,10 @@
 
 SGPSDPOBJ = $(SGPSDPSRC:.c=.o)
 
+NXJSONSRC = \
+	nxjson.c
+
+NXJSONOBJ = $(NXJSONSRC:.c=.o)
 
 GOOCANVSRC = \
         goocanvasatk.c             \
@@ -84,11 +96,10 @@
 	compat.c \
 	first-time.c \
 	gpredict-help.c \
-	gpredict-url-hook.c \
 	gpredict-utils.c \
 	gtk-azel-plot.c \
-        gtk-event-list.c \
-        gtk-event-list-popup.c \
+    gtk-event-list.c \
+    gtk-event-list-popup.c \
 	gtk-freq-knob.c \
 	gtk-polar-plot.c \
 	gtk-polar-view.c \
@@ -99,7 +110,6 @@
 	gtk-sat-data.c \
 	gtk-sat-list.c \
 	gtk-sat-list-popup.c \
-	gtk-sat-list-col-sel.c \
 	gtk-sat-map.c \
 	gtk-sat-map-ground-track.c \
 	gtk-sat-map-popup.c \
@@ -130,7 +140,6 @@
 	radio-conf.c \
 	rotor-conf.c \
 	sat-cfg.c \
-	sat-debugger.c \
 	sat-info.c \
 	sat-log.c \
 	sat-log-browser.c \
@@ -141,7 +150,6 @@
 	sat-pref-debug.c \
 	sat-pref-formats.c \
 	sat-pref-general.c \
-	sat-pref-help.c \
 	sat-pref-interfaces.c \
 	sat-pref-layout.c \
 	sat-pref-list-view.c \
@@ -168,10 +176,12 @@
 	tle-tools.c \
 	tle-update.c \
 	trsp-conf.c \
+	trsp-update.c \
+	win32-fetch.c
 
 GPREDICTOBJ = $(GPREDICTSRC:.c=.o)
 
-OBJS = $(SGPSDPOBJ) $(GPREDICTOBJ)
+OBJS = $(SGPSDPOBJ) $(NXJSONOBJ) $(GPREDICTOBJ)
 
 %.o: %.c
 	$(CC) -c $(CFLAGS) $(GTK_CFLAGS) $<
@@ -180,16 +190,34 @@
 
 # targets begin
 
-all: libsgpsdp.dll gpredict.exe
-
+all: libsgpsdp.dll gpredict.exe gpredict-con.exe
+
+dist: gpredict-$(GITMAJ).$(GITMIN).$(GITBLD).zip
+
+gpredict-$(GITMAJ).$(GITMIN).$(GITBLD).zip: all
+	mkdir -p gpredict/share/gpredict
+	cp -p libsgpsdp.dll gpredict.exe gpredict-con.exe $(BINDEPS) gpredict
+	cp -rp ../data gpredict/share/gpredict
+	cp -rp ../pixmaps gpredict/share/gpredict
+	cp -rp ../po gpredict/share/gpredict
+	mkdir -p gpredict/$(LOADERS)
+	cp -p loaders.cache gpredict/$(LOADERS)
+	cp -rp $(GTKETC) gpredict
+	mkdir -p gpredict/share/glib-2.0
+	cp -rp $(SCHEMAS) gpredict/share/glib-2.0
+	zip -r $@ gpredict
+	rm -rf gpredict
 
 # Use -mconsole to always open a console window when gpredicxt is started
-# Use -mwindows for no copnsole
-gpredict.exe: $(OBJS) gpredict_res.o
-	$(CC) -mconsole -mthreads -o $@ $^ $(CFLAGS) $(GTK_CFLAGS) $(LIBS) $(GUI_LIBS) -lmingwex -s
-
-gpredict_res.o: gpredict.rc 
-	$(RC) $(RCFLAGS) $< $@
+# Use -mwindows for no console
+gpredict.exe: TARGET:=-mwindows
+gpredict-con.exe: TARGET:=-mconsole
+
+gpredict.exe gpredict-con.exe: $(OBJS) gpredict_res.o
+	$(CC) $(TARGET) -mthreads -o $@ $^ $(CFLAGS) $(GTK_CFLAGS) $(LIBS) $(GUI_LIBS) -lmingwex -s
+
+gpredict_res.o: gpredict.rc
+	$(RC) $(RCFLAGS) gpredict.rc $@
 
 libgoocanvas.dll: $(GOOCANVOBJ)
 	$(CC) -shared $(CFLAGS) $(GTK_CFLAGS) $(GOOCANVOBJ) $(GTKLIBS) -lm -lmingwex \
@@ -200,7 +228,6 @@
 	-Wl,--enable-auto-image-base -Wl,--out-implib,libsgpsdp.lib -o libsgpsdp.dll
 
 clean:
-	rm -f *.o *.d *.def *.a *.lib *.dll *.exe
-
-
-
+	rm -f *.o *.d *.def *.a *.lib *.dll *.exe *.zip
+	rm -rf gpredict
+

## gpredict 2.3-33-gca42d22

=== debian/changelog ===
gpredict (2.3-33-gca42d22-1) unstable; urgency=medium

  * Team upload.

  [ Christoph Berg ]
  * New upstream snapshot.
  * Create packaging repository on salsa.
  * Remove some generated files on clean.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #888043)
    + 0125-skip-configure.patch: Only run ./configure once and let
      dh_auto_configure do it.
    + 0126-cross-pkg-config.patch: Consider $ac_tool_prefix for pkg-config.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Dec 2018 12:53:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Uploaders: A. Maitland Bottoms <bottoms@debian.org>,
            Colin Tuckley <colint@debian.org>
 Homepage: http://gpredict.oz9aec.net/
-Standards-Version: 4.1.1
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gpredict
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gpredict.git
+Standards-Version: 4.3.0
 Build-Depends: autoconf,
                automake,
                debhelper (>= 10),

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure $@

## gpredict 2.3-72-gc596101

=== debian/changelog ===
gpredict (2.3-72-gc596101-3) unstable; urgency=medium

  * Team upload.
  * Set XDG_RUNTIME_DIR to fix lowriter on the buildds.

 -- Christoph Berg <myon@debian.org>  Sat, 20 Feb 2021 20:58:38 +0100

gpredict (2.3-72-gc596101-2) unstable; urgency=medium

  * Team upload.
  * Remove stray $@ from override_dh_auto_configure.
  * Provide PDF documentation. (Closes: #983155)
  * Install doc/notes/*.txt.

 -- Christoph Berg <myon@debian.org>  Sat, 20 Feb 2021 14:30:51 +0100

gpredict (2.3-72-gc596101-1) unstable; urgency=medium

  * Team upload.

  [ Christoph Berg ]
  * New upstream snapshot compatible with gcc 10. (Closes: #957302)
  * Add debian/gitlab-ci.yml.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.4.1, no changes needed.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Jul 2020 20:33:55 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
 Homepage: http://gpredict.oz9aec.net/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gpredict
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gpredict.git
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Build-Depends: autoconf,
                automake,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                intltool,
                libcurl4-gnutls-dev | libcurl-dev,
                libglib2.0-dev,
                libgoocanvas-2.0-dev,
                libgtk-3-dev,
+               libreoffice-writer,
                libtool,
                pkg-config

=== debian/rules ===
#!/usr/bin/make -f

# redirect directories lowriter wants to write to
export HOME = $(CURDIR)/debian/home
export XDG_RUNTIME_DIR = $(CURDIR)/debian/home

%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
	mkdir -p $(HOME)
	cd doc/um && lowriter --headless --convert-to pdf gpredict-user-manual.odt

## gpredict 2.3-115

=== win32/Makefile ===
--- 
+++ 
@@ -7,9 +7,6 @@
 # version string in C code
 VERSION_SHORT = $(GITMAJ).$(GITMIN).$(GITBLD)
 VERSION_LONG = $(GITMAJ).$(GITMIN).0.$(GITBLD)
-
-# cross-compiler prefix
-MGW_PREFIX=i686-w64-mingw32-
 
 # directories
 topsrc = ..
@@ -18,25 +15,25 @@
 nxjsondir = $(gpreddir)/nxjson
 
 # tools
-CC = $(MGW_PREFIX)gcc -Wall -O2 -mms-bitfields -DWIN32 -m32
-AS = $(MGW_PREFIX)as
-DLLWRAP = $(MGW_PREFIX)dllwrap
+CC = gcc -Wall -O2 -mms-bitfields -DWIN32
+AS = as
+DLLWRAP = dllwrap
 DLLWRAP_FLAGS = --as=$(AS) --export-all --driver-name $(CC) -s
-RC = $(MGW_PREFIX)windres
+RC = windres
 # NB: .rc file create various version formats from the numbers
 RCFLAGS = --define __WIN32__ --define __WIN95__ --define MSRC --define __GNUWIN32__ \
 	--define VERMAJ=$(GITMAJ) --define VERMIN=$(GITMIN) --define VERBLD=$(GITBLD)
 
 # libraries
-GTKLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --define-prefix --libs gtk+-3.0)
-GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --define-prefix --libs glib-2.0 gthread-2.0)
-GOOLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --define-prefix --libs goocanvas-2.0)
+GTKLIBS := $(shell pkg-config --define-prefix --libs gtk+-3.0)
+GLIBLIB := $(shell pkg-config --define-prefix --libs glib-2.0 gthread-2.0)
+GOOLIBS := $(shell pkg-config --define-prefix --libs goocanvas-3.0)
 GUI_LIBS = $(GTKLIBS) $(GLIBLIB) $(GOOLIBS) libsgpsdp.lib -lwinmm -lwininet -lws2_32
 LIBS = -lm
 
 # flags/defines
-GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --define-prefix --cflags gtk+-3.0)
-GOO_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --define-prefix --cflags goocanvas-2.0)
+GTK_CFLAGS := $(shell pkg-config --define-prefix --cflags gtk+-3.0)
+GOO_CFLAGS := $(shell pkg-config --define-prefix --cflags goocanvas-3.0)
 CFLAGS = -DVERSION_SHORT=$(VERSION_SHORT) -DHAVE_CONFIG_H -DPACKAGE_LOCALE_DIR=\"/\" -I. -I.. -I$(gpreddir) $(GOO_CFLAGS)
 
 # source paths
@@ -67,14 +64,14 @@
 NXJSONOBJ = $(NXJSONSRC:.c=.o)
 
 GOOCANVSRC = \
-        goocanvasatk.c             \
-        goocanvasellipse.c         \
-	goocanvasenumtypes.c		\
+    goocanvasatk.c          \
+    goocanvasellipse.c      \
+	goocanvasenumtypes.c	\
 	goocanvasgroup.c		\
 	goocanvasimage.c		\
 	goocanvasitem.c			\
-	goocanvasitemmodel.c		\
-	goocanvasitemsimple.c		\
+	goocanvasitemmodel.c	\
+	goocanvasitemsimple.c	\
 	goocanvasmarshal.c		\
 	goocanvaspolyline.c		\
 	goocanvaspath.c			\
@@ -195,6 +192,8 @@
 dist: gpredict-$(GITMAJ).$(GITMIN).$(GITBLD).zip
 
 gpredict-$(GITMAJ).$(GITMIN).$(GITBLD).zip: all
+	mkdir -p gpredict/doc
+	cp -p ../AUTHORS ../COPYING ../NEWS ../README gpredict/doc
 	mkdir -p gpredict/share/gpredict
 	cp -p libsgpsdp.dll gpredict.exe gpredict-con.exe $(BINDEPS) gpredict
 	cp -rp ../data gpredict/share/gpredict
@@ -205,6 +204,11 @@
 	cp -rp $(GTKETC) gpredict
 	mkdir -p gpredict/share/glib-2.0
 	cp -rp $(SCHEMAS) gpredict/share/glib-2.0
+	mkdir -p gpredict/share/icons/Adwaita
+	cp -rp $(ADWAITA)/scalable gpredict/share/icons/Adwaita/
+	cp -rp $(ADWAITA)/scalable-up-to-32 gpredict/share/icons/Adwaita/
+	cp -rp $(ADWAITA)/index.theme gpredict/share/icons/Adwaita/
+	cp -rp $(ADWAITA)/icon-theme.cache gpredict/share/icons/Adwaita/
 	zip -r $@ gpredict
 	rm -rf gpredict

## gpredict 2.3-115-g0f3beb6

=== debian/changelog ===
gpredict (2.3-115-g0f3beb6-4) unstable; urgency=medium

  * Team upload.
  * Restore build-dep on libreoffice-writer-nogui
  * Move desktop file from gpredict-doc to gpredict (Closes: #1074555)
  * Add install-svg-icon.patch (Thank you to AsciiWolf)
  * Update build-dep on pkg-config to pkgconf

 -- tony mancill <tmancill@debian.org>  Tue, 16 Jul 2024 19:39:00 -0700

gpredict (2.3-115-g0f3beb6-3) unstable; urgency=medium

  * Team upload.
  * Temporarily build-dep on libreoffice-writer instead of -nogui to
    resolve FTBFS. (See #1058653) (Closes: #1058273)
  * Bump Standards-Version to 4.6.2
  * Set Rules-Requires-Root: no in debian/control

 -- tony mancill <tmancill@debian.org>  Tue, 12 Dec 2023 14:02:31 -0800

gpredict (2.3-115-g0f3beb6-2) unstable; urgency=medium

  * Mark gpredict-doc M-A: foreign.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Jul 2023 21:35:42 +0200

gpredict (2.3-115-g0f3beb6-1) unstable; urgency=medium

  * New upstream snapshot 2.3-115-g0f3beb6.
  * Build-Depend-Indep on libreoffice-writer-nogui. (Closes: #1040706)
  * Move documentation to separate gpredict-doc package. (Closes: #983763)
  * Add myself to Uploaders, retire Colin. (Closes: #990600)

 -- Christoph Berg <myon@debian.org>  Mon, 10 Jul 2023 10:50:51 +0000

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,31 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: A. Maitland Bottoms <bottoms@debian.org>,
-           Colin Tuckley <colint@debian.org>
+           Christoph Berg <myon@debian.org>,
 Homepage: http://gpredict.oz9aec.net/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gpredict
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gpredict.git
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Build-Depends: autoconf,
                automake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                intltool,
                libcurl4-gnutls-dev | libcurl-dev,
                libglib2.0-dev,
                libgoocanvas-2.0-dev,
                libgtk-3-dev,
-               libreoffice-writer,
                libtool,
-               pkg-config
+               pkgconf
+Build-Depends-Indep:
+ libreoffice-writer-nogui,
+Rules-Requires-Root: no
 
 Package: gpredict
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: gpredict-doc (<< 2.3-115-g0f3beb6-4)
+Breaks: gpredict-doc (<< 2.3-115-g0f3beb6-4)
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ gpredict-doc (>= 2.3-115-g0f3beb6-4),
 Recommends: gpsd, libhamlib-utils
 Description: Satellite tracking program
  Gpredict is a real time satellite tracking and orbit prediction program
@@ -44,3 +49,33 @@
   * Detailed information both the real time and non-real time modes
   * Doppler tuning of radios via Hamlib rigctld
   * Antenna rotator control via Hamlib rotctld
+
+Package: gpredict-doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Breaks: gpredict (<< 2.3-115-g0f3beb6-1),
+Replaces: gpredict (<< 2.3-115-g0f3beb6-1),
+Description: Satellite tracking program - documentation
+ Gpredict is a real time satellite tracking and orbit prediction program
+ for the Linux desktop. It uses the SGP4/SDP4 propagation algorithms together
+ with NORAD two-line element sets (TLE).
+ .
+ Some core features of Gpredict include:
+ .
+  * Tracking of a large number of satellites only limited by the physical
+    memory and processing power of the computer
+  * Display the tracking data in lists, maps, polar plots and any combination
+    of these
+  * Have many modules open at the same either in a notebook or in their own
+    windows. The modules can also run in full-screen mode
+  * You can use many ground stations
+  * Predict upcoming passes
+  * Gpredict can run in real-time, simulated real-time (fast forward and
+    backward), and manual time control
+  * Detailed information both the real time and non-real time modes
+  * Doppler tuning of radios via Hamlib rigctld
+  * Antenna rotator control via Hamlib rotctld
+ .
+ This package contains the documentation and other architecture-independent
+ files.

=== debian/rules ===
#!/usr/bin/make -f

# redirect directories soffice wants to write to
export HOME = $(CURDIR)/debian/home
export XDG_RUNTIME_DIR = $(CURDIR)/debian/home

# for simplicity, compile normally even during indep builds so we get the
# documentation files, and build the pdf manual afterwards

execute_after_dh_auto_build-indep:
	mkdir -p $(HOME)
	cd doc/um && soffice --writer --headless --convert-to pdf gpredict-user-manual.odt

override_dh_auto_test-indep:

%:
	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%,dversionmangle=s/-.*//" \
 https://github.com/csete/gpredict/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## gpredict 2.4

=== debian/changelog ===
gpredict (2.4-2) unstable; urgency=medium

  * Cherry-pick fix to no longer depend on goocanvas-2.0.
    (Closes: #1112439)

 -- Christoph Berg <myon@debian.org>  Thu, 05 Feb 2026 21:07:50 +0000

gpredict (2.4-1) unstable; urgency=medium

  * New upstream version 2.4.

 -- Christoph Berg <myon@debian.org>  Sun, 11 Jan 2026 15:17:41 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,16 @@
 Homepage: http://gpredict.oz9aec.net/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gpredict
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gpredict.git
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Build-Depends: autoconf,
                automake,
                debhelper-compat (= 13),
                intltool,
                libcurl4-gnutls-dev | libcurl-dev,
                libglib2.0-dev,
-               libgoocanvas-2.0-dev,
                libgtk-3-dev,
                libtool,
-               pkgconf
+               pkgconf,
 Build-Depends-Indep:
  libreoffice-writer-nogui,
 Rules-Requires-Root: no
